define('jls/lang/AssertionError', ['jls/lang/Class', 'jls/lang/Exception'], function (Class, Exception) {

var AssertionError;
/**
 * @augments jls.lang.Exception
 * @class Thrown to indicate that an assertion has failed.
 * @name jls.lang.AssertionError
 */
AssertionError = Class.create(Exception, /** @lends jls.lang.AssertionError.prototype */
{
    initialize : function($super, message, cause) {
        $super(message, cause);
    }
});

return AssertionError;
});
